summaryrefslogtreecommitdiffstats
path: root/network/palemoon-bin
diff options
context:
space:
mode:
author khronosschoty <khronosschoty@posteo.org>2018-05-21 20:11:20 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-05-26 06:59:24 +0700
commit8fc6e428cf81d5165943ee9756762f22d37efcea (patch)
tree2f8d777a79abd750fcc894f08748b9e3bd66a796 /network/palemoon-bin
parentbae37de38323d4187ae7b77cf5fc4fd426f807e7 (diff)
downloadslackbuilds-8fc6e428cf81d5165943ee9756762f22d37efcea.tar.gz
slackbuilds-8fc6e428cf81d5165943ee9756762f22d37efcea.tar.xz
network/palemoon-bin: Added (renamed from palemoon) + new maint.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/palemoon-bin')
-rw-r--r--network/palemoon-bin/README13
-rw-r--r--network/palemoon-bin/TODO10
-rw-r--r--network/palemoon-bin/doinst.sh9
-rw-r--r--network/palemoon-bin/palemoon-bin.SlackBuild115
-rw-r--r--network/palemoon-bin/palemoon-bin.desktop13
-rw-r--r--network/palemoon-bin/palemoon-bin.info10
-rw-r--r--network/palemoon-bin/slack-desc19
7 files changed, 189 insertions, 0 deletions
diff --git a/network/palemoon-bin/README b/network/palemoon-bin/README
new file mode 100644
index 0000000000..ee331b0de8
--- /dev/null
+++ b/network/palemoon-bin/README
@@ -0,0 +1,13 @@
+Pale Moon is an Open Source, Goanna-based web browser forked from
+pre-Australis Mozilla Firefox aiming to be fast, efficient and easy to
+use.
+
+This SlackBuild just repackages the binary package provided by the project.
+It doesn't attempt to build the browser from source.
+
+You can force Pale Moon to use system-provided hunspell instead of its own
+dictionary by passing the USE_SYSTEM_SPELLCHECK=yes variable to the script.
+
+If you need to change the GUI language, please visit
+https://www.palemoon.org/langpacks.shtml and follow the installation
+instructions.
diff --git a/network/palemoon-bin/TODO b/network/palemoon-bin/TODO
new file mode 100644
index 0000000000..f64f778088
--- /dev/null
+++ b/network/palemoon-bin/TODO
@@ -0,0 +1,10 @@
+pomfland has notified me that:
+
+palemoon could potentially be using some
+libraries belonging to seamonkey-solibs. A launcher script might be
+necessary:
+
+> export LD_LIBRARY_PATH=/opt/palemoon:/opt/palemoon/plugins
+> /opt/palemoon/palemoon "$@"
+
+I will look into this when I get a chance, since it seems non-critical.
diff --git a/network/palemoon-bin/doinst.sh b/network/palemoon-bin/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/palemoon-bin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/palemoon-bin/palemoon-bin.SlackBuild b/network/palemoon-bin/palemoon-bin.SlackBuild
new file mode 100644
index 0000000000..003da3d20b
--- /dev/null
+++ b/network/palemoon-bin/palemoon-bin.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for palemoon-bin
+
+# Copyright 2015 pomfland
+# Copyright 2017-2018 Skaendo <skaendo at excite dot com>
+# Copyright 2018 Vasily Sora USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=palemoon-bin
+SRCNAM=palemoon
+VERSION=${VERSION:-27.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# We don't need cflags since nothing is being compiled here.
+# We do need to check the architecture though and abort when it's not
+# supported.
+if [ "$ARCH" = "i686" ]; then
+ # Check for sse2 flag and abort if not found
+ if ! grep -q sse2 /proc/cpuinfo; then
+ echo "No required SSE2 support detected. Aborting."
+ exit 1
+ fi
+elif [ "$ARCH" != "x86_64" ]; then
+ echo "Sorry, binary packages are available only for i686 and x86_64. Aborting."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION.en-US.linux-$ARCH.tar.bz2
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use system hunspell if user wants it
+if [ "$USE_SYSTEM_SPELLCHECK" = "yes" ]; then
+ rm -rf dictionaries
+ ln -sv /usr/share/hunspell dictionaries
+fi
+
+# Install pale moon into /opt
+mkdir -p $PKG/opt/$PRGNAM
+cp -vr * $PKG/opt/$PRGNAM
+
+# Link stuff
+## binary
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+## icons
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,128x128}/apps
+ln -s /opt/$PRGNAM/browser/chrome/icons/default/default16.png \
+ $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+ln -s /opt/$PRGNAM/browser/chrome/icons/default/default32.png \
+ $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+ln -s /opt/$PRGNAM/browser/chrome/icons/default/default48.png \
+ $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+ln -s /opt/$PRGNAM/browser/icons/mozicon128.png \
+ $PKG/usr/share/icons/hicolor/128x128/apps/$PRGNAM.png
+
+# Install .desktop file
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/palemoon-bin/palemoon-bin.desktop b/network/palemoon-bin/palemoon-bin.desktop
new file mode 100644
index 0000000000..b139f9a382
--- /dev/null
+++ b/network/palemoon-bin/palemoon-bin.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Name=Pale Moon Web Browser
+Comment=Browse the World Wide Web
+Keywords=Internet;WWW;Browser;Web;Explorer
+Exec=palemoon-bin %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=palemoon-bin
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml+xml;application/xml;application/rss+xml;application/rdf+xml;image/gif;image/jpeg;image/png;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;x-scheme-handler/chrome;video/webm;application/x-xpinstall;
+StartupNotify=true
diff --git a/network/palemoon-bin/palemoon-bin.info b/network/palemoon-bin/palemoon-bin.info
new file mode 100644
index 0000000000..21b37333b7
--- /dev/null
+++ b/network/palemoon-bin/palemoon-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="palemoon-bin"
+VERSION="27.9.2"
+HOMEPAGE="https://www.palemoon.org/"
+DOWNLOAD="http://linux.palemoon.org/datastore/release/palemoon-27.9.2.en-US.linux-i686.tar.bz2"
+MD5SUM="179aae644a0bfc2545b59e7c3de80b9f"
+DOWNLOAD_x86_64="http://linux.palemoon.org/datastore/release/palemoon-27.9.2.en-US.linux-x86_64.tar.bz2"
+MD5SUM_x86_64="39b7d7ababc3d212fba8fc0a69bfe904"
+REQUIRES=""
+MAINTAINER="khronosschoty"
+EMAIL="khronosschoty@posteo.org"
diff --git a/network/palemoon-bin/slack-desc b/network/palemoon-bin/slack-desc
new file mode 100644
index 0000000000..5c39ef7e53
--- /dev/null
+++ b/network/palemoon-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+palemoon-bin: palemoon-bin (Web browser)
+palemoon-bin:
+palemoon-bin: Pale Moon is an Open Source, Goanna-based web browser forked from
+palemoon-bin: pre-Australis Mozilla Firefox aiming to be fast, efficient and easy
+palemoon-bin: to use.
+palemoon-bin:
+palemoon-bin:
+palemoon-bin:
+palemoon-bin:
+palemoon-bin: Homepage: https://www.palemoon.org/
+palemoon-bin: